% Calculates output of the simulation conditional on the null hypothesis
% being rejected

function[comparingFullSetOfResults, comparingFullSetOfResults4] = CalculateSizePowerConditional

contentsOfFolder = what;
testLevel = 0.05;
comparingFullSetOfResults = 0;
comparingFullSetOfResults4 = 0;    
index = 1;
for ii = 1 : size(contentsOfFolder.mat, 1)
    stringFileName = char(contentsOfFolder.mat(ii)) ;
    load(stringFileName);

    if ~isnan(str2double(stringFileName(1))) && (str2double(stringFileName(1)) == 7 ||  str2double(stringFileName(1)) == 8)
        comparingFullSetOfResults(index, 1) = str2double(stringFileName(1));
        if stringFileName(2) == 'a'
            comparingFullSetOfResults(index, 2) = 1;
        elseif stringFileName(2) == 'b'
            comparingFullSetOfResults(index, 2) = 2;
        end
        comparingFullSetOfResults(index, 3) = str2double(stringFileName(5:7));
        comparingFullSetOfResults(index, 4) = str2double(stringFileName(18:20));
        
        simulationSIze = size(testWaldNK, 3);
        comparingFullSetOfResults(index, 5) = sum(squeeze(testWaldNK(2, 2, :)) < testLevel) / simulationSIze;
        comparingFullSetOfResults(index, 6) = sum(squeeze(testWald(2, 2, :)) < testLevel) / simulationSIze;
        
        twoHypothesisRejectedNK = squeeze(testWaldNK(2, 2, :)) < testLevel;
        firstPairNK = twoHypothesisRejectedNK & squeeze(testWaldNK(1, 2, :)) < testLevel;
        secondPairNK = twoHypothesisRejectedNK & squeeze(testWaldNK(3, 2, :)) < testLevel; 
        comparingFullSetOfResults(index, 7) = sum(firstPairNK) / simulationSIze;
        
        twoHypothesisRejected = squeeze(testWald(2, 2, :)) < testLevel;
        firstPair = twoHypothesisRejected & squeeze(testWald(1, 2, :)) < testLevel;
        secondPair = twoHypothesisRejected & squeeze(testWald(3, 2, :)) < testLevel;   
        comparingFullSetOfResults(index, 8) = sum(firstPair) / simulationSIze;
        
        comparingFullSetOfResults(index, 9) = sum(secondPairNK) / simulationSIze;
        comparingFullSetOfResults(index, 10) = sum(secondPair) / simulationSIze;
        
        firstPairWhenTwoRejectedNK = secondPairNK & squeeze(testWaldNK(1, 2, :)) < testLevel;
        firstPairWhenTwoRejected = secondPair & squeeze(testWald(1, 2, :)) < testLevel;
        
        comparingFullSetOfResults(index, 11) = sum(firstPairWhenTwoRejectedNK) / simulationSIze;
        comparingFullSetOfResults(index, 12) = sum(firstPairWhenTwoRejected) / simulationSIze;
        
      
        comparingFullSetOfResults4(index, 1) = str2double(stringFileName(1));
        if stringFileName(2) == 'a'
            comparingFullSetOfResults4(index, 2) = 1;
        elseif stringFileName(2) == 'b'
            comparingFullSetOfResults4(index, 2) = 2;
        end
        comparingFullSetOfResults4(index, 3) = str2double(stringFileName(5:7));
        comparingFullSetOfResults4(index, 4) = str2double(stringFileName(18:20));
        
        comparingFullSetOfResults4(index, 5) = sum(squeeze(testWaldNK4(1, 2, :)) < testLevel)/size(testWaldNK4, 3);
        comparingFullSetOfResults4(index, 6) = sum(squeeze(testWald4(1, 2, :)) < testLevel)/size(testWald4, 3);   

        comparingFullSetOfResults4(index, 7) = sum(squeeze(testWald4(1, 4, :)) < testLevel)/size(testWald4, 3);
        index = index + 1;
    end    
end
