% This is needed to estimate processes in Table 2
% Table 2. Column 1 correspons to Column1 in Table1.m, no need to simulate it again.

% Table 2. Column 2
SimulateProcess('2a');
SimulateProcess('2b');

% Table 2. Column 3
SimulateProcess('3a');
SimulateProcess('3b');

[comparingFullSetOfResults, ~] = CalculateSizePower();

% The results should be interpereted by inspecting
% comparingFullSetOfResults in the following way: 
% Column1: DGP identification number for internal purposes, corresponds to
% table columns. Investigate those, where Column1 values are 1, 2, 3
% Column2: 1 stands for power, 2 for size
% Column3: number of observations in the DGP
% Column4: sample split specified for the DGP
% Column5: test statistic when Q_r(0,0)
% Column6: test statistic when Q_r(kappa1, kappa2)