% This is needed to estimate processes in Table 4
SimulateProcess('7a');
SimulateProcess('7b');
SimulateProcess('8b');

[comparingFullSetOfResults, ~] = CalculateSizePowerConditional();

% The results should be interpereted by inspecting
% comparingFullSetOfResults in the following way: 
% Column1: DGP identification number for internal purposes, corresponds to
% table columns. Investigate those, where Column1 values are 7, 8
% Column2: 1 stands for power, 2 for size
% Column3: number of observations in the DGP
% Column4: sample split specified for the DGP

% Column5: unconditional test statistic when Q_r(0,0)
% Column6: unconditional test statistic when Q_r(kappa1, kappa2)

% Column7: first pair, condition on H01 hypothesis rejected, test statistic when Q_r(0,0)
% Column8: first pair, condition on H01 hypothesis rejected, test statistic when Q_r(kappa1, kappa2)

% Column9: second pair, condition on H01 hypothesis rejected, test statistic when Q_r(0,0)
% Column10: second pair, condition on H01 hypothesis rejected, test statistic when Q_r(kappa1, kappa2)

% Column11: three hypothesis jointly H01 , H02 |¬H 01 , and H03 |¬H 01, test statistic when Q_r(0,0)
% Column12: three hypothesis jointly H01 , H02 |¬H 01 , and H03 |¬H 01, test statistic when Q_r(kappa1, kappa2)
